Bug 80803 - [patch] add python3 support to telepathy-gabble
Summary: [patch] add python3 support to telepathy-gabble
Status: RESOLVED FIXED
Alias: None
Product: Telepathy
Classification: Unclassified
Component: gabble (show other bugs)
Version: git master
Hardware: Other All
: medium normal
Assignee: Telepathy bugs list
QA Contact: Telepathy bugs list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-02 11:09 UTC by Bohuslav "Slavek" Kabrda
Modified: 2014-09-02 08:27 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Add python 3 support to telepathy-gabble-xmpp-console (2.14 KB, text/plain)
2014-07-02 11:09 UTC, Bohuslav "Slavek" Kabrda
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bohuslav "Slavek" Kabrda 2014-07-02 11:09:08 UTC
Created attachment 102129 [details]
Add python 3 support to telepathy-gabble-xmpp-console

Hi, I'm attaching a very simple patch (basically this only replaces print statements with print functions) that makes telepathy work on Python 3. Note, that this is only for runtime part, the twisted tests can't be run on Python 3, since twisted is still Python 2 only.
Thanks for considering.
Comment 1 Bohuslav "Slavek" Kabrda 2014-08-29 08:40:39 UTC
Ping, can someone please review the patch and state if it's acceptable or not? Thanks.
Comment 2 Guillaume Desmottes 2014-09-02 08:27:17 UTC
Merged to master thanks.

commit 3d516218007a5f029932ffc85138a1f620553f1b
Author: Bohuslav Slavek Kabrda <bkabrda@redhat.com>
Date:   Tue Sep 2 10:23:44 2014 +0200

    add python 3 support to telepathy-gabble-xmpp-console
    
    https://bugs.freedesktop.org/show_bug.cgi?id=80803


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.